#include "BasicOnsetSort.h"

/*!
* @class BasicOnsetSort
* @brief sorts layers according to onset but without weighting
*	
*/

/*!
* @brief default constructor
*	
*/
BasicOnsetSort::BasicOnsetSort(void)
{
}

/*!
* @brief returns sorting name
* @return QString: sorting name 
*	
*/
QString BasicOnsetSort::getName()
{
	return "Late Onset Sorting, Not Weighted";
}

/*!
* @brief operator for sort()
* @param Layer aL: layer a for comparing
* @param Layer bL: layer b for comparing
* @return bool: true if a<b
*	
*/
bool basicOnsetOp (Layer aL,Layer bL) { return (aL.onset<bL.onset); }

/*!
* @brief sorts layers according to onset
* @param Layer* layers: layers to be sorted
* @param int numLayers: number of layers
* @return Layer*: sorted layers without weighting them
*	
*/
Layer* BasicOnsetSort::sortLayers(Layer* layers, int numLayers) {
	vector <Layer> temp;


	for(int i=0; i<numLayers; i++){
		temp.push_back(layers[i]);
	}

	sort (temp.begin(), temp.end(), basicOnsetOp);  

	for(int i=0; i<numLayers; i++){
		layers[i] = temp.at(i);
	}

	return layers;
}

/*!
* @brief default destructor
*	
*/
BasicOnsetSort::~BasicOnsetSort(void)
{
}
