#include "DataGenerator.h"
/*!
 * @class DataGenerator
 * @brief generates layers with random values
 *	
 */

/*!
 * @brief default constructor. sets random seed to 2
 *	
 */
DataGenerator::DataGenerator()
{
   srand(2);
}

/*!
 * @brief constructor, accepts custom seed value for random data generation
 * @param int seed: custom seed
 *	
 */
DataGenerator::DataGenerator(int seed)
{
     srand(seed);
}

/*!
 * @brief generates numLayers# new layers with sizeArrayLength# random values
 * @param int numLayers 
 * @param int sizeArrayLength
 * @return Layer*: generated layers
 *	
 */
Layer* DataGenerator::make(int numLayers, int sizeArrayLength) {

   Layer *layers;
   layers = new Layer[numLayers];

   for (int i = 0; i < numLayers; i++) {

     QString name   = "Layer #" + i;
     int *size = new int[sizeArrayLength];

     for(int j=0; j<sizeArrayLength; j++){
       size[j] = (rand()%70);
     }

     layers[i] = Layer(name, size, sizeArrayLength);
	 layers[i].color = QColor(rand()%255,rand()%255,rand()%255);
    // layers[i] = Layer(name, size, sizeArrayLength);
   }
   return layers;
}
