#include "GraphicsScene.h"

/*!
 * @class GraphicsScene
 * @brief extended QGraphicsScene to add picking of layers via mousePressEvent
 *	
 */

/*!
 * @brief constructor
 * @param QObject *parent: parent widget
 *	
 */
GraphicsScene::GraphicsScene( QObject *parent ) : QGraphicsScene( parent )
{
}

/*!
 * @brief reads mousePressEvent, picks QGraphicsItem at click position and emits position and layer on click position
 * @param QGraphicsSceneMouseEvent * mouseEvent
 *	
 */
void GraphicsScene::mousePressEvent( QGraphicsSceneMouseEvent * mouseEvent )
{
	//cout << "pos:" << mouseEvent->pos().x() << " |scene pos:" << mouseEvent->scenePos().x() << "|screen pos:" << mouseEvent->screenPos().x()<< endl;
	QTransform trans;
	QGraphicsItem *item = itemAt(mouseEvent->scenePos(), trans);
	if(item != 0){
		emit mousePos(mouseEvent->scenePos().x(), pathLookupMap.value(item));
	}
	else emit mousePos(-1, pathLookupMap.value(item));
}

