#include "GraphicsView.h"
/*!
 * @class GraphicsView
 * @brief extended QGraphicsView to add zooming via mouse wheel
 *	
 */

/*!
 * @brief constructor
 * @param QWidget * parent: parent widget
 */
GraphicsView::GraphicsView( QWidget * parent )
{
}

/*!
 * @brief default destructor
 *	
 */
GraphicsView::~GraphicsView(void)
{
}

/*!
 * @brief reads mouse wheel event, translates it to zoom distance
 * @param QWheelEvent *event
 *	
 */
void GraphicsView::wheelEvent(QWheelEvent *event)
{
	scaleView(pow((double)2, event->delta() / 240.0));
}

/*!
 * @brief scales the canvas according to scalefactor
 * @param qreal scaleFactor
 *	
 */
void GraphicsView::scaleView(qreal scaleFactor)
{
	qreal factor = matrix().scale(scaleFactor, scaleFactor).mapRect(QRectF(0, 0, 1, 1)).width();
	if (factor < 0.07 || factor > 100)
		return;

	scale(scaleFactor, scaleFactor);
}