#include "Layout.h"

/*!
 *	@class Layout
	@brief baseclass for various layout types
 */

/*!
 *	@brief default constructor
 */
Layout::Layout()
{
}

/*!
 *	@brief stacks layers on top of each other, calculation top and bottom baseline for each layer
 */
void Layout::stackOnBaseline(Layer* layers, float* baseline, int numLayers, int numElements) {
		// Put layers on top of the baseline.
		for (int i = 0; i < numLayers; i++) {
			for(int j=0; j<numElements; j++){
				layers[i].yBottom[j] = baseline[j];
			}
			for (int j = 0; j < numElements; j++) {
				baseline[j] -= layers[i].size[j];
				layers[i].yTop[j] = baseline[j];
			}
		}
}

/*!
 *	@brief default destructor
 */
Layout::~Layout()
{
}
