#include "ResizeDialog.h"

/*!
@class ResizeDialog
*	@brief class of resize canvas popup window
*
*	Implements popup's UI functionality.
*/

/*!
* \brief
* Initialize resize canvas popup.
*
* Creates new TFWidget and connects all SIGNALs to appropriate SLOTS.
* 
*/
ResizeDialog::ResizeDialog(QWidget *parent): QDialog(parent)
{
	setupUi(this);
	
	connect(cancel_button, SIGNAL(clicked()), this, SLOT(hide()));
	connect(resize_button, SIGNAL(clicked()), this, SLOT(setResolution()));

}

/*!
 * @brief SLOT that emits the resolution as a SIGNAL
 *	
 */
void ResizeDialog::setResolution()
{
	bool ok;
	int w = width_line->text().toInt(&ok, 10);
	if(ok){
		int h = height_line->text().toInt(&ok, 10);
		if(ok && w > 100 && h > 100){
			emit newResolution(w, h);
		}
	}


}