#include "StackLayout.h"
/*!
*	@class StackLayout
@brief calculates the baseline for the stack layout
*/

/*!
* @brief default constructor
*	
*/
StackLayout::StackLayout(void)
{
}

/*!
* @brief returns layout name
* @return QString name
*	
*/
QString StackLayout::getName() {
	return "Stacked Layout";
}

/*!
* @brief calculates the baseline for streamgraph layout
* @param Layer* layers contains all layers
* @param int numLayers number of layers
* @param int numElements length of layers
*	
*/
void StackLayout::layout(Layer* layers, int numLayers, int numElements) {

		// lay out layers, top to bottom.
		float *baseline;
		baseline = new float[numElements];
		for (int i=0; i<numElements; i++)
		{
			baseline[i] = 0;
		}

		// Put layers on top of the baseline.
		stackOnBaseline(layers, baseline, numLayers, numElements);
}

/*!
* @brief default destructor
*	
*/
StackLayout::~StackLayout(void)
{
}
