#ifndef TFWIDGET_H
#define TFWIDGET_H

#include <QtGui/QWidget>
#include <QtGui/QMouseEvent>
#include <QtGui/QColor>
#include <QtGui/QColorDialog>
#include <Qt/qpolygon.h>
#include <Qt/qsize.h>
#include <Qt/qpoint.h>
#include <Qt/qfile.h>

class TFWidget : public QWidget
{
	Q_OBJECT

public:
	TFWidget(QWidget *parent = 0);
	int angle() const { return currentAngle; }
	void addMode();
	void delMode();
	void resetTF();
	void save(QFile* file);
	void load(QFile* file);
	void prepareTF();

	QPoint posi;

public slots:
	//void setHisto(int * histo);

signals:
	void functionChanged(float *data);

protected:
	void paintEvent(QPaintEvent *event);
	void mousePressEvent(QMouseEvent *event);
	//void mouseMoveEvent(QMouseEvent *event);
	void mouseReleaseEvent(QMouseEvent *event);
	void createClickArea(int x, int y);

private:
	int currentAngle;
	int currentAngley;
	QPolygon poly;
	QPolygon tempPoly;
	QSize size;
	bool drawn;
	bool vertexSelected;
	QPoint selectedVertex;
	QPolygon clickArea;
	int selectedIndex;
	int areaSize;
	int areaHeight;
	int areaWidth;
	int xcoord;
	int ycoord;
	bool mode;
	//bool histoSet;
	bool dataSet;
	QVector <QColor> vertexColors;
	QVector <QLine> histoLines;
	float data[4096 * 3];  //texture storage array
	//float data[4096 * 4];  //texture storage array
	QMap<int, QVector <int> > tf; //saves the tf

};

#endif