#include "ThemeRiverLayout.h"
/*!
 *	@class ThemeRiverLayout
	@brief calculates the baseline for the themeriver layout
 */

/*!
 *	@brief default constructor
 */
ThemeRiverLayout::ThemeRiverLayout()
{
}

/*!
 * @brief returns layout name
 * @return QString name
 *	
 */
QString ThemeRiverLayout::getName() {
	return "ThemeRiver";
}

/*!
 * @brief calculates the baseline for themeriver layout
 * @param Layer* layers contains all layers
 * @param int numLayers number of layers
 * @param int numElements length of layers
 *	
 */
void ThemeRiverLayout::layout(Layer* layers, int numLayers, int numElements) {
	// Set shape of baseline values.
	//int n=layers[0].size.length;
	//int m=layers.length;
	float *baseline;
	baseline = new float[numElements];

	// ThemeRiver is perfectly symmetrical
	// the baseline is 1/2 of the total height at any point
	for (int i = 0; i < numElements; i++) {
		baseline[i] = 0;
		for (int j = 0; j < numLayers; j++) {
			baseline[i] += layers[j].size[i];
		}
		baseline[i] *= 0.5;
	}

	// Put layers on top of the baseline.
	stackOnBaseline(layers, baseline, numLayers, numElements);
}

/*!
 * @brief default destructor
 *	
 */
ThemeRiverLayout::~ThemeRiverLayout()
{
}
